Page MenuHomePhabricator

Investigation: Central global repository for templates, Lua modules and gadgets
Closed, ResolvedPublic

Description

An investigation ticket for the global repository.

Notes on the project, with next steps:
https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey/Top_10#Central_global_repository_for_templates.2C_gadgets_and_Lua_modules

Some next steps that we identified:

  • Talk to Brion V, Erik Moeller -- work on File namespace with Commons
  • Talk to Kunal and Timo -- cross-wiki gadgets
  • Talk to Tim S -- module support, how to implement in Scribunto

Event Timeline

DannyH created this task.Dec 16 2015, 5:58 PM
DannyH raised the priority of this task from to Normal.
DannyH updated the task description. (Show Details)
DannyH moved this task to To be estimated/discussed on the Community-Tech board.
DannyH added a subscriber: DannyH.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 16 2015, 5:58 PM

Mentioning this page about a "global-Wiki" here, while it's more general it contains some discussion about global templates, modules and gadgets that may be useful in this task.

Hope this is the right place (relevant also to T71445): Also adding a more recent post here about one feature one may use on this central repository, if it happens in wiki page form.

Stryn added a subscriber: Stryn.Mar 13 2016, 8:22 PM
TBolliger closed this task as Resolved.Feb 23 2018, 11:46 PM
TBolliger claimed this task.
TBolliger removed TBolliger as the assignee of this task.
TBolliger moved this task from Epic backlog to Archive on the Community-Tech board.
TBolliger added a subscriber: TBolliger.